import { Type } from '@angular/core';
import { Widget } from './widget';
import { AudioVideoWidgetValue } from './widget-value/audio-video-widget-value';
import { VideoComponent } from '../../../sculptor-lib/widgets/video/video.component';
import { PropertyPanelFieldMetadata } from '../common/property-panel-field';
export declare class Video extends Widget {
    component: Type<VideoComponent>;
    value: string;
    values: Array<AudioVideoWidgetValue>;
    helpText: string;
    mainType: string;
    indent: string;
    markup: string;
    name: string;
    constructor(field?: Widget);
    /**
     * get widget value
     *
     * @returns
     */
    getWidgetValue(): any;
    /**
     * Set widget Value
     *
     * @param value
     */
    setWidgetValue(value: any): void;
    newVideo(): void;
    /**function to create video object with existing values
    *
    *@param field
    *
    */
    video(field: any): void;
    /**
     * this will return serialize of widget
     */
    getWidgetSerializedValue(): string;
    static getPropertyPanelFieldMetadata(target: any, key: string): PropertyPanelFieldMetadata;
    getPropertyPanelFieldUIProperties(): any;
}
